name: "sdpmasterleafnode-test"
function: telescope-monitoring
domain: general-monitoring
instances: ["01"]
entrypoints:
  - name: "ska_tmc_sdpmasterleafnode.sdp_master_leaf_node_low.LowTmcLeafNodeSdp"
server:
  name: "sdp_master_leaf_node_low"
  instances:
  {{ $domain := .Values.global.domain}}
  {{ $family := .Values.deviceServers.sdpmasterleafnode.family }}
  {{ $member := .Values.deviceServers.sdpmasterleafnode.member }}
  - name: "01"
    classes:
    - name: "LowTmcLeafNodeSdp"
      devices:
      - name: "{{ $domain }}/{{ $family }}/{{ $member }}"
        properties:
        - name: "SdpMasterFQDN"
          values:
          - "{{.Values.global.sdp_master}}"
        - name: "SkaLevel"
          values:
            - "3"
        - name: "LoggingTargetsDefault"
          values:
            - "tango::logger"
        - name: "LoggingLevelDefault"
          values:
            - "5"
        - name: "AdapterTimeOut"
          values:
            - "{{.Values.deviceServers.sdpmasterleafnode.AdapterTimeOut}}"
        - name: "LivelinessCheckPeriod"
          values:
            - "{{.Values.deviceServers.sdpmasterleafnode.LivelinessCheckPeriod}}"
        - name: "EventSubscriptionCheckPeriod"
          values:
            - "{{.Values.deviceServers.sdpmasterleafnode.EventSubscriptionCheckPeriod}}"
        - name: "SDPMasterAdminModeEnabled"
          values:
            - "{{.Values.deviceServers.sdpmasterleafnode.SDPMasterAdminModeEnabled}}"
depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.sdpleafnodes.image.registry}}"
  image: "{{.Values.sdpleafnodes.image.image}}"
  tag: "{{.Values.sdpleafnodes.image.tag}}"
  pullPolicy: "{{.Values.sdpleafnodes.image.pullPolicy}}"

